<?php

// ---- library references
include_once('../library/framework/awsDB.inc.php');
include_once('../library/framework/awsCore.inc.php');


class farm extends awsDB 
{
	public static $sRefNo, $sMillName, $sDistrict, $sLocation, $sSpindleQty, $sSpindleSource;
	public static $sTotalVolCookers, $sTotalVol, $sStartup, $sFirstName, $sLastName, $sStaffFemaleLow;
	public static $sTelephone, $sGender, $sStaffMalePeak, $sStaffMaleLow, $sStaffFemalePeak;
	public static $sOwnersMalePeak, $sOwnersMaleLow, $sOwnersFemalePeak, $sOwnersFemaleLow;
	public static $sCPOSalesNigeria, $sCPOSalesTogo, $sCPOSalesGhana, $sCPOSalesElsewhere;
	public static $sCPOUsageNigeria, $sCPOUsageTogo, $sCPOUsageGhana, $sCPOUsageElsewhere;
	public static $sPlantationName, $sPlantationLocation, $sPlantationArea;

	private static $serviceUrl = 'http://services3.arcgis.com/qJFEUkUFlGX1r5oN/ArcGIS/rest/services/Farm_Mills/FeatureServer/0';


	function _construct()
	{
		self::$currentUser = 'admin';
		self::$currentDate = date("F j, Y");	
	}
	
	
	public static function QueryByID($refID)
	{
		awsMap::$serviceUrl = 'http://services3.arcgis.com/qJFEUkUFlGX1r5oN/ArcGIS/rest/services/Farm_Mills/FeatureServer/0';
		awsMap::$whereSQL = "Ref_No = '$refID'";

		$obj = awsMap::getAPIJSON();

		//echo $obj->features[0]->attributes->Location;

		// --- set field values
		self::$sRefNo = $obj->features[0]->attributes->Ref_No;
		self::$sMillName = $obj->features[0]->attributes->Mill_Name;
		self::$sDistrict = $obj->features[0]->attributes->District;
		self::$sLocation = $obj->features[0]->attributes->Location;
		self::$sSpindleQty = $obj->features[0]->attributes->Spindle_Pr;
		self::$sSpindleSource = $obj->features[0]->attributes->Spindle__1;
		self::$sTotalVolCookers = $obj->features[0]->attributes->Annual_Tot;
		self::$sTotalVol = $obj->features[0]->attributes->ANNUAL_T_1;
		self::$sStartup = $obj->features[0]->attributes->StartUp;
		self::$sFirstName = $obj->features[0]->attributes->MO_FirstNa;
		self::$sLastName = $obj->features[0]->attributes->MO_LastNam;
		self::$sTelephone = $obj->features[0]->attributes->MO_TelNo;
		self::$sStaffFemaleLow = $obj->features[0]->attributes->Permanen_3;
		self::$sStaffMalePeak = $obj->features[0]->attributes->Permanent_;
		self::$sStaffMaleLow = $obj->features[0]->attributes->Permanen_2;
		self::$sStaffFemalePeak = $obj->features[0]->attributes->Permanen_1;
		self::$sOwnersMalePeak = $obj->features[0]->attributes->Fruit_Owne;
		self::$sOwnersMaleLow = $obj->features[0]->attributes->Fruit_Ow_2;
		self::$sOwnersFemalePeak = $obj->features[0]->attributes->Fruit_Ow_1;
		self::$sOwnersFemaleLow = $obj->features[0]->attributes->Fruit_Ow_3;
		self::$sCPOSalesNigeria = $obj->features[0]->attributes->F__CPO_Sold;
		self::$sCPOSalesTogo = $obj->features[0]->attributes->F__CPO_So_1;
		self::$sCPOSalesGhana = $obj->features[0]->attributes->F__CPO_So_2;
		self::$sCPOSalesElsewhere = $obj->features[0]->attributes->F__CPO_So_3;
		self::$sCPOUsageNigeria = $obj->features[0]->attributes->Usage_of_C;
		self::$sCPOUsageTogo = $obj->features[0]->attributes->Usage_of_1;
		self::$sCPOUsageGhana = $obj->features[0]->attributes->Usage_of_2;
		self::$sCPOUsageElsewhere = $obj->features[0]->attributes->Usage_of_3;
		self::$sPlantationName = $obj->features[0]->attributes->Mill_Owner;
		self::$sPlantationLocation = $obj->features[0]->attributes->Mill_Own_1;
		self::$sPlantationArea = $obj->features[0]->attributes->Mill_Own_2;

	}


	public static function Save($action)
	/*
  	------------------------------------------------------------------------
	 Save()
  	------------------------------------------------------------------------
	 Validates the form and saves/edits the event.
	 @return mixed TRUE on success, an error message on failure
	------------------------------------------------------------------------
    */
	{
		// ---- retrieve form values
		self::sanitizeInput();
		
		$insert = "INSERT INTO SC_INVENTORY_ITEM (ITEM_CODE ,ITEM_DESC ,ITEM_CLASS_ROWID_FK ,CATEGORY_ROWID_FK ,SUB_CATEGORY_ROWID_FK ,
					   SUPPLIER_ROWID_FK ,MODEL_ROWID_FK ,MAGNITUDE ,UNIT_OF_MEASURE_ROWID_FK ,MEASURE_UNIT_ROWID_FK ,ITEM_ACTIVE ,REORDER_PT ,
					   REORDER_QTY ,QTY_ON_ORDER ,QTY_ON_BO ,COST_PRICE ,SELLING_PRICE ,CURRENCY_ROWID_FK ,LOCAL_COST_PRICE ,CREATED_BY ,
					   MODIFIED_BY ,CREATED_DATE ,MODIFIED_DATE) 
					   VALUES (? ,? ,? ,? ,? ,? ,? ,? ,? ,? ,? ,? ,? ,? ,? ,? ,? ,? ,? ,? ,? ,? ,?)";
		$i_param = array(&self::$sItemCode, &self::$sItemDesc, &self::$sItemClassId, &self::$sItemCategoryId, &self::$sSubCategoryId, 
		               &self::$sSupplierId, &self::$sModelId, &self::$sMagnitude, &self::$sUomId, &self::$sMeasureUnitId, &self::$sItemActive,
					   &self::$sReOrderPt, &self::$sReOrderQty, &self::$sQtyOnOrder, &self::$sQtyOnBo, &self::$sCostPrice, &self::$sSellingPrice,
					   &self::$sCurrencyId, &self::$sLocalPrice,&self::$currentUser, &self::$currentUser, &self::$currentDate, &self::$currentDate);
		
		$update = "UPDATE SC_INVENTORY_ITEM SET ITEM_DESC = ? ,ITEM_CLASS_ROWID_FK = ? ,CATEGORY_ROWID_FK = ? ,SUB_CATEGORY_ROWID_FK = ? ,
		               SUPPLIER_ROWID_FK = ? ,MODEL_ROWID_FK = ? ,MAGNITUDE = ? ,UNIT_OF_MEASURE_ROWID_FK = ? ,MEASURE_UNIT_ROWID_FK = ? ,
					   ITEM_ACTIVE = ? ,REORDER_PT = ? ,REORDER_QTY = ? ,QTY_ON_ORDER = ? ,QTY_ON_BO = ? ,COST_PRICE = ? ,SELLING_PRICE = ? ,
					   CURRENCY_ROWID_FK = ? ,LOCAL_COST_PRICE = ? ,MODIFIED_BY = ? ,MODIFIED_DATE = ? WHERE ITEM_ROWID = ?";
					  
		$u_param = array(&self::$sItemDesc, &self::$sItemDesc,&self::$sItemClassId, &self::$sItemCategoryId, &self::$sSubCategoryId, 
						&self::$sSupplierId, &self::$sModelId, &self::$sMagnitude, &self::$sUomId, &self::$sMeasureUnitId, &self::$sItemActive,
						&self::$sReOrderPt, &self::$sReOrderQty, &self::$sQtyOnOrder, &self::$sQtyOnBo, &self::$sCostPrice, &self::$sSellingPrice,
						&self::$sCurrencyId, &self::$sLocalPrice, self::$currentUser, self::$currentDate, self::$rowid);
		
		$delete = "DELETE FROM SC_INVENTORY_ITEM WHERE ITEM_ROWID = ?";
		
		$d_param = array(&self::$rowid);
		
		
		if ($action == 'update' && isset(self::$rowid))
		{
			$s = parent::executeQuery($update, $u_param);	
			
			if($s){awsCore::successMessage('Information has been successfully updated!');}
			if(!$s){awsCore::successMessage('Problem Occurred in update. Please contact system administrator!');}
		}
		else if ($action == 'delete' && isset(self::$rowid))
		{
			$s = parent::executeQuery($delete, $d_param);	
			
			if($s){awsCore::successMessage('Information has been successfully deleted!');}
			if(!$s){awsCore::successMessage('Problem Occurred in delete. Please contact system administrator!');}	
		}
		else if ($action == 'insert')
		{
			
			$s = parent::executeQuery($insert, $i_param);	
			
			if(!$s){awsCore::successMessage('Problem Occurred in update. Please contact system administrator!');}
			if($s){awsCore::successMessage('Information has been successfully saved!');}
		}
	}
	
	
	public static function listRecord($id = 0)
	/*
  	------------------------------------------------------------------------
	 listRecord()
  	------------------------------------------------------------------------
	 list all the records in the database.
	------------------------------------------------------------------------
    */
	{
		$sid = " WHERE ITEM_ROWID = $id";
		
		$order = " ORDER BY 2";
		
		if ($id != 0)
		{
			$s = awsCore::getQuery('DETAIL_INVENTORY');
			$q = $s.$sid;
			
			$st = awsDB::fetchArrayAssoc($q);
			
			self::GetData($st);
		
		}
		else
		{
			// --- generate and execute query
			$s = awsCore::getQuery('LIST_INVENTORY');
			$q = $s.$order;	
			$st = awsDB::fetchArrayAssoc($q);
			
			// --- display html table
			awsCore::array2table($st);
		}
	} // --- end of listRecords
	
	
	static function GetData($row)
	{
		self::$sItemCode = parent::cleanDataRead($row[0]['ITEM_CODE']);
		self::$sItemDesc = parent::cleanDataRead($row[0]['ITEM_DESC']);
		self::$sItemClassId = parent::cleanDataRead($row[0]['ITEM_CLASS_ROWID_FK']);
		self::$sItemCategoryId = parent::cleanDataRead($row[0]['CATEGORY_ROWID_FK']);
		self::$sSubCategoryId = parent::cleanDataRead($row[0]['SUB_CATEGORY_ROWID_FK']);
		self::$sSupplierId = parent::cleanDataRead($row[0]['SUPPLIER_ROWID_FK']);
		self::$sModelId = parent::cleanDataRead($row[0]['MODEL_ROWID_FK']);
		self::$sMagnitude = parent::cleanDataRead($row[0]['MAGNITUDE']);
		self::$sUomId = parent::cleanDataRead($row[0]['UNIT_OF_MEASURE_ROWID_FK']);
		self::$sMeasureUnitId = parent::cleanDataRead($row[0]['MEASURE_UNIT_ROWID_FK']);
		self::$sItemActive= parent::cleanDataRead($row[0]['ITEM_ACTIVE']);
		self::$sReOrderPt = parent::cleanDataRead($row[0]['REORDER_PT']);
		self::$sReOrderQty = parent::cleanDataRead($row[0]['REORDER_QTY']);
		self::$sQtyOnOrder = parent::cleanDataRead($row[0]['QTY_ON_ORDER']);
		self::$sQtyOnBo = parent::cleanDataRead($row[0]['QTY_ON_BO']);
		self::$sCostPrice = parent::cleanDataRead($row[0]['COST_PRICE']);
		self::$sSellingPrice = parent::cleanDataRead($row[0]['SELLING_PRICE']);
		self::$sCurrencyId = parent::cleanDataRead($row[0]['CURRENCY_ROWID_FK']);
		self::$sLocalPrice = parent::cleanDataRead($row[0]['LOCAL_COST_PRICE']);
	}
	
	
	private static function sanitizeInput()
	{
		if (isset($_POST['txtItemCode'])) { self::$sItemCode = parent::cleanInput($_POST['txtItemCode']); } 
		if (isset($_POST['txtItemDescription'])) { self::$sItemDesc = $_POST['txtItemDescription']; } 
		if (isset($_POST['cboItemClass'])) { self::$sItemClassId = parent::cleanInput($_POST['cboItemClass']); } 
		if (isset($_POST['cboItemCategory'])) { self::$sItemCategoryId = parent::cleanInput($_POST['cboItemCategory']); } 
		if (isset($_POST['cboSubCategory'])) { self::$sSubCategoryId = parent::cleanInput($_POST['cboSubCategory']); } 
		if (isset($_POST['cboSupplier'])) { self::$sSupplierId = parent::cleanInput($_POST['cboSupplier']); }
		if (isset($_POST['cboModel'])) { self::$sModelId = parent::cleanInput($_POST['cboModel']); } 
		if (isset($_POST['txtMagnitude'])) { self::$sMagnitude = parent::cleanInput($_POST['txtMagnitude']); } 
		if (isset($_POST['cboUOM'])) { self::$sUomId = parent::cleanInput($_POST['cboUOM']); } 
		if (isset($_POST['cboMeasureUnit'])) { self::$sMeasureUnitId = parent::cleanInput($_POST['cboMeasureUnit']); } 
		if (isset($_POST['chkActive'])) { self::$sItemActive =  parent::cleanInput($_POST['chkActive']); } 
		if (isset($_POST['txtReOrderPt'])) { self::$sReOrderPt = parent::cleanInput($_POST['txtReOrderPt']); } 
		if (isset($_POST['txtReOrderQty'])) { self::$sReOrderQty = parent::cleanInput($_POST['txtReOrderQty']); } 
		if (isset($_POST['txtQtyOnOrder'])) { self::$sQtyOnOrder = parent::cleanInput($_POST['txtQtyOnOrder']); } 
		if (isset($_POST['txtQtyOnBO'])) { self::$sQtyOnBo = $_POST['txtQtyOnBO']; } 
		if (isset($_POST['txtCostPrice'])) { self::$sCostPrice = $_POST['txtCostPrice']; } 
		if (isset($_POST['txtSellingPrice'])) { self::$sSellingPrice = parent::cleanInput($_POST['txtSellingPrice']); }
		if (isset($_POST['cboCurrency'])) { self::$sCurrencyId = parent::cleanInput($_POST['cboCurrency']); }
		if (isset($_POST['txtRealPrice'])) { self::$sLocalPrice = parent::cleanInput($_POST['txtRealPrice']); }
	} // --- end of sanitize input
}
	

?>