$(document).ready(function(e) {

// ----- initialize sample
	initializeSample();


// ----- executes on cboProject change	
$('#cboProject').change(function() {
	var sProject = $(this).val();
	var url = '../library/appFramework/json.php';
	var data = {"getHoleID":sProject};
	
	// gets the sample code for project.
	getSampleCode(sProject);
	window.sessionStorage.sampleCode = $('#txtSampleID').val();
	
	// ---- clear option list and set first default option value.
	$("#cboHoleID").children().remove().end().append("<option value=\"\">--- Select a Hole ID ---</option>");
	
	$.getJSON(url, data, processResult).fail(errorResponse);
	
	function errorResponse()
	{
		alert ('error exist');	
	}
	
	// ---- callback functions on execution success
	function processResult (data)
	{
		var opt = "";
		
		// --- loop and write each object in the json file.
		$.each(data, function(hole, holeInfo)
		{
			opt += "<option value=\"" + holeInfo.rowid + "\">" + holeInfo.rowvalue + "</option>";
		}); // --- end of each
		
		// ---- append options to holeID
		$("#cboHoleID").children().end().append(opt);
	}	
}); // --- end of change


// --- adds a sample to the local storage db.
$('#AddSample').click(function (event){
	event.preventDefault();
	saveToLocalDataset();
	getNextInterval();
});




$('#cboHoleID').change(function() {
/*
 * Click event for HoleID
*/
	samplePrefix();
})

}); // --- end of document ready



function createDataset()
{
	// ----- declare to use memory  storage.
	persistence.store.memory.config(persistence);
	
	// ----- create data schema.
	var project = persistence.define('SAMPLE', {
			project: "TEXT",
			holeID: "TEXT",
			sampleID: "TEXT",
			startDepth: "INT",
			endDepth: "INT",
			fraction: "TEXT",
			sampleType: "TEXT",
			sampleSubType: "TEXT",
			sampleMethod: "TEXT",
			category: "TEXT",
			standard: "TEXT",
			sampleParent: "TEXT",
			duplicateType: "TEXT"
		});
	
	//create and manipulate object
	var sample = new SAMPLE();
}

function GetValues()
// ---- assign form values to columns.
{
	var _project = $('#drpProject').val();
	var _holeID = $('#drpHoleID').val();
	var _sampleID = $('#txtSampleID').val();
	var _startDepth = $('#sngSampleFrom').val();
	var _endDepth = $('#sngSampleTo').val();
	var _fraction = $('#cboFraction').val();
	var _sampleType = $('#cboSampleType').val();
	var _sampleSubType = $('#cboSubType').val();
	var _sampleMethod = $('#cboSampleMethod').val();
	var _sampleStandard = $('$cboStandard').val();
}

function BindCombo(data)
// --- binds combo to JSON returned data.
{
	var comboHTML = '<select>';
	comboHTML += '';
	comboHTML += '</select>';
}


function initializeSample()
// ---- initializes the sample form.
{
	var startDepth = 0;
	var endDepth = 1;
	
	$('#sngSampleFrom').val(startDepth);
	$('#sngSampleTo').val(endDepth);
	
	// initializes index for sample ID
	window.sessionStorage.sampleIndex = 1;
}


function getNextInterval()
// ---- gets the next sample interval inserted.
{
	var $lastStart = parseInt($('#sngSampleFrom').val());
	var $lastEnd = parseInt($('#sngSampleTo').val());	
	
	var $interval = $lastEnd - $lastStart;
	
	var $nextStart = $lastStart + $interval;
	var $nextEnd = $lastEnd + $interval;
	
	// --- set form values to new variables
	$('#sngSampleFrom').val($nextStart);
	$('#sngSampleTo').val($nextEnd);
	
	
	// --- increment sample index.
	var _index = window.sessionStorage.sampleIndex + 1;
	window.sessionStorage.sampleIndex = _index;
}


function getSampleCode($project)
// --- retrieves sample code for a project and saves temporarily
{
	// --- get project code.
	var _sampleCode = '';
	var _code;
	var url = '../library/appFramework/json.php';
	var data = {"getSampleCode":$project};
	
	$.get(url, data, processResult);
	
	function processResult(data)
	{
		$('#txtSampleID').val(data);
	}	
}

function samplePrefix()
//  --- retrieves and set the sample Code for the project and hole.
{
	// --- get project code.
	//_project = $('#cboProject').val();
	//getSampleCode(_project);
	var $holeId = '';
	var $sampleCode = window.sessionStorage.sampleCode;
	alert ($sampleCode);
	
	// --- get hole Index;
	$holeId = $('#cboHoleID :selected').html();
	$holeId = $holeId.match(/\d+\.?\d*/g);
	
	var _index = window.sessionStorage.sampleIndex;
	//_index = pad(_index, 4); // ---- apply leading zeros.
	
	//alert (_index);
	var result = $('#txtSampleID').val() + $holeId
	//var result = $sampleCode + $holeId + '-' + _index;
	// --- set result to sample text box.
	$('#txtSampleID').val(result);
}


function saveToLocalDataset()
//	--- saves current data to in-memory local data storage
{
	alert ('saving ....');
	// --- get form values 
	GetFormValues();
	
	persistence.saveToLocalStorage(function() 
	{
		alert ("All data saved");
	}
);
	

function setPersistentValue()
// --- set persistent variables to hold form data.
{
	if (!window.sesssionStorage) {alert('Persistent storage does not exist in this browser.'); exit;}
	
	window.sessionStorage.holeID = $('#drpHoleID').val();
	window.sessionStorage.project = $().val();
}


function pad(number, length) 
// --- lead numbers with zero
{   
	alert (number);
} // --- end of pad
	
}